tons of updates, should have checked in sooner
[buildscripts] / mumble
diff --git a/mumble b/mumble
new file mode 100755 (executable)
index 0000000..b118cac
--- /dev/null
+++ b/mumble
@@ -0,0 +1,43 @@
+#!/bin/bash
+# Copyright (C) 2019 Ian Kelling
+# SPDX-License-Identifier: AGPL-3.0-or-later
+
+if ! test "$BASH_VERSION"; then echo "error: shell is not bash" >&2; exit 1; fi
+shopt -s inherit_errexit 2>/dev/null ||: # ignore fail in bash < 4.4
+set -eE -o pipefail
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" exit status: $?, PIPESTATUS: ${PIPESTATUS[*]}" >&2' ERR
+
+if [[ -s ~/.bashrc ]];then . ~/.bashrc;fi
+
+deps=(
+  build-essential
+  cmake
+  pkg-config
+  qt5-default
+  qttools5-dev
+  qttools5-dev-tools
+  libqt5svg5-dev
+  libboost-dev
+  libssl-dev
+  libprotobuf-dev
+  protobuf-compiler
+  libprotoc-dev
+  libcap-dev
+  libxi-dev
+  libasound2-dev
+  libogg-dev
+  libsndfile1-dev
+  libspeechd-dev
+  libavahi-compat-libdnssd-dev
+  libxcb-xinerama0
+  libzeroc-ice-dev
+  libpoco-dev
+)
+pi ${deps[@]}
+
+mkc /a/opt/mumble/build
+
+# just looked through cmake_options.md and picked things that looked good. oss, alsa, portaudio, pipewire are off just to avoid superflous options we dont use.
+cmake -Dcoreaudio=OFF -Dzeroconf=OFF -Doss=OFF -Dportaudio=OFF -Dalsa=OFF -Dpipewire=OFF -Dserver=OFF -Doverlay-xcompile=OFF -Doverlay=OFF -Dupdate=OFF -Dwasapi=OFF -Dxboxinput=OFF -Dlto=ON -Doptimize=ON ..
+
+make -j $(nproc)